[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumns.Assign

Adds column definitions in Source to the current class instance.

## Declaration

Source position: comctrls.pp line 1281

`public procedure TListColumns.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with the values stored in the current class instance.

## Description

Assign checks that source is of correct type, then adds new columns and copies items from source into them; otherwise calls inherited Assign which probably raises an exception.

## See also

TCollection.Assign